<template>
    <lightning-button variant="brand"
                      label={labels.exportLabel}
                      title={labels.exportLabel}
                      onclick={openModal}>
    </lightning-button>

    <template if:true={showModal}>
        <section role="dialog"
                 tabindex="-1"
                 aria-labelledby={labels.exportSettings}
                 class="slds-modal slds-fade-in-open"
                 aria-modal="true"
                 onkeyup={closeModal}>
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <lightning-button-icon icon-name="utility:close"
                                           size="small"
                                           variant="bare-inverse"
                                           alternative-text="Close"
                                           class="slds-modal__close"
                                           onclick={closeModal}>
                    </lightning-button-icon>
                    <h2 class="slds-modal__title slds-hyphenate">
                        {labels.exportSettings}
                    </h2>
                </header>

                <main class="slds-modal__content slds-p-around_x-small">
                    <div class="slds-m-around_small">
                        <lightning-checkbox-group name="Export Settings"
                                                  options={exportOptions}
                                                  value={exportValue}
                                                  onchange={handleChangeExportValue}>
                        </lightning-checkbox-group>
                    </div>
                </main>

                <footer class="slds-modal__footer">
                    <lightning-button variant="neutral"
                                      label={labels.cancel}
                                      title={labels.cancel}
                                      onclick={closeModal}>
                    </lightning-button>
                    <lightning-button variant="brand"
                                      label={labels.done}
                                      title={labels.done}
                                      onclick={handleExport}
                                      disabled={disableDoneButton}>
                    </lightning-button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
</template>